# SINNER: Sacrifice for Redemption 1.1.0319
# BID: 490D681909609015

ALL_FPS:
  # Disable bSmoothFrameRate and bUseFixedFrameRate to untie game speed from framerate
  -
    type: write
    address: [MAIN, 0x5CCE320, 0x750]
    address_unsafe: true
    value_type: uint32
    # Default is 0x67, bSmoothFrameRate |= 0x20, bUseFixedFrameRate |= 0x40 
    # By writing 7 we are making sure that other flags are maintained: 
    # bAllowMultiThreadedAnimationUpdate |= 4
    # bOptimizeAnimBlueprintMemberVariableAccess |= 2
    # bCanBlueprintsTickByDefault |= 1
    value: 7
  # t.MaxFPS
  -
    type: evaluate_write
    address: [MAIN, 0x5CCEBA8, 0]
    value_type: float
    value: [FPS_LOCK_TARGET, FPS_LOCK_TARGET]
  -
    type: block
    what: timing
